# Changelog 'testing'

Hier dokumentieren wir die Änderungen an der Testing-Firmware von Freifunk Hochstift.

## 0.7.3~rc2
* ath9k-blackout-workaround: NEW
    * Startet das WLAN neu, wenn ein möglicher Fehler entdeckt wurde

## 0.7.3~rc1

* Basis: gluon [v2016.1.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.5)
    * Mit Patch zum deaktivieren des 802.11b Supportes
* ffho-site-auto-select:
    * Community spezifische Werte in site.conf verschoben
* ffho-status-page:
    * nicht öffentliche Koordinaten verbergen
    * Community spezifische Werte in site.conf verschoben

## 0.7.2~rc1

* Basis: gluon [v2016.1.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.5)
    * Entfernt Whitspaces bei vorhandenen Koordinaten
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater:
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater-wifi-fallback:
    * Komplett überarbeitet
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater-wifi-fallback-legacy: NEW
    * Anpassen der Konfiguration an die neue Version des ffho-autoupdater-wifi-fallback
* ffho-luci-autoupdater-wifi-fallback: NEW
    * ffho-autoupdater-wifi-fallback kann nun im Expert-Mode deaktiviert werden
* ffho-site-auto-select:
    * UCI-Configuration erst am Ende abspeichern
* ffho-txpower-fix:
    * UCI-Configuration erst am Ende abspeichern
* site.conf:
    * fastd
        * gw06 entfernt
        * ffho_gw01 hinzugefügt
* Hardware:
    * 8devices
        * Carambola 2
    * OpenMesh
        * MR600 (v1, v2)
        * MR900 (v1, v2)
        * OM2P (v1, v2)
        * OM2P-HS (v1, v2)
        * OM2P-LC
        * OM5P
        * OM5P-AN
    * Ubiquiti
        * Rocket M XW
    * TP-Link
        * TL-WR841ND v11

## 0.7.1

* Basis gluon [d610ba3 (v2016.1.x)](https://github.com/freifunk-gluon/gluon/tree/d610ba31ff004817c119f525e583b703743c1357)
    * neue Kernel-Version
* Erkennung der Ubiquiti-Geräte
* ffho-ebtables-net-rules:
    * code improvements
* ffho-config-mode-geo-location:
    * Höhenangabe anzeigen, wenn sie bereits vorhanden ist
* i18n:
    * Reboot Nachricht enthält jetzt die gleichen Daten wie das Knotenformular
* Hardware:
    * ALFA Network
        * AP121
        * AP121U
        * Hornet-UB
    * Cisco Meraki
        * MR12
        * MR16
        * MR62
        * MR66
    * TP-Link
        * TL-WA7510N
    * Target x86-generic
        * kmod-usb-ohci-pci für Tastatur am Futro hinzugefügt
    * Target x86-64
        * keine weitere Unterstützung für den Futro

## 0.7.0~rc2

* Basis gluon [v2016.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.2)
    * neue Kernel-Version
    * x86-generic unterstützt den Futro
* ffho-site-auto-select:
    * Bugfix

## 0.7.0~rc1

nicht kompatibel zu Firmware < 0.6.0

* Basis gluon [v2016.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.1)
    * Update der OpenWRT-Basis auf Chaos Calmer
    * some Bugfixes
    * gluon-respondd ersetzt gluon-announced und gluon-announce
* ffho-autoupdater: REPLACES gluon-autoupdater
    * kann nun Muster in der URL ersetzen
* ffho-autoupdater-wifi-fallback: NEW
    * prüft regelmäßig die Verbindung zum Firmware-Server
    * wenn keine Verbindung: Updates als Client beziehen
* ffho-config-mode-geo-location:
    * improve validation
    * kein weiteres Löschen vorhandener Höhenangaben
* ffho-config-mode-mesh-vpn:
    * improve validation
* ffho-config-mode-site-select:
    * erzeugen der Site nach ffho-site-generate ausgelager
* ffho-debug:
    * keine privaten Keys übermitteln
    * Wifi-Namen angepasst
* ffho-openwrt-migration-tools: REMOVED
* ffho-respondd-config: REPLACES ffho-alfred-config
    * für respondd in C implementiert
* ffho-site-auto-select: NEW
    * Site an Hand der Koordinaten wählen
    * abfragen der Mesh-Partner wenn keine Site gesetzt
* ffho-site-generate: NEW
    * generieren der site.json zur Laufzeit
* ffho-status-page: REPLACES gluon-status-page
    * beibehalten des alten Designs
    * FFHO und Site  spezifische Informationen ergänzt
* ffho-txpower-fix: NEW
    * Workarround für zugeringe Sendeleistung
* site.conf:
    * neues Format
    * IPv6 fähiges OpenWRT-Repo
    * eigenes Kernel-Module opkg repository
    * RIP gw03
    * individueller Autoupdater-Pfad für jede Region
    * Signing-Keys
        * neu: kb-light
        * entfernt: thardes2
* neue Hardware:
    * Buffalo
        * WZR-HP-G300NH
    * D-Link
        * DIR-505 (A1)
    * Onion
        * Omega
    * TP-Link
        * CPE210/220/510/520 v1.1
        * TL-MR13U v1
        * TL-WA901N/ND v1
        * TL-WR710N v2
        * TL-WR801N/ND v1, v2
        * TL-WR841N/ND v10
        * TL-WR843N/ND v1
        * TL-WR940N v1, v2, v3
        * TL-WR941ND v6
        * TL-WR1043N/ND v3
    * Ubiquiti
        * einspielen in AirOS 5.6.x möglich
        * airGateway
        * airRouter
        * UniFi AP Outdoor+
    * Western Digital
        * My Net N600
        * My Net N750
    * neues Target x86-xen_domu
    * neues Target x86-64
        * unterstützt für USB-NICs hinzugefügt
	* unterstützt für Fujitsu Futro S550 hinzugefügt
        * kmod-igb für APU2 hinzugefügt
    * Target x86-generic
        * kmod-usb-net-dm9601-ether hinzugefügt

## 0.6.5~rc4
* ffho-config-mode-site-select:
    * Liste im Config-Mode hat die gleiche Reihenfolge wie in sites.conf
    * Weitere Optimierungen
* Zusätzliches IPv6 Präfix für FFRL-Uplink

## 0.6.5~rc3

* ffho-config-mode-geo-location:
    * Vorhandene Höhenangaben löschen
* ffho-config-mode-site-select:
    * SSID noch nicht ändern
    * Eintrag in /etc/sysupgrade.conf rückgängig machen
    * Weitere kleine Verbesserungen

## 0.6.5~rc2

* Umstellung auf ffho
    * Pakete, Texte, Banner und Mail-Adresse angepasst
* ffho-config-mode-mesh-vpn: REPLACES gluon-config-mode-mesh-vpn
    * Übertragung der Contact-Info an das Knotenformular möglich
* ffho-config-mode-geo-location: REPLACES gluon-config-mode-geo-location
    * Feld für die Höhenangabe entfernt
* ffho-alfred-config: NEW
    * Übertragung von site_name
* ffho-config-mode-site-select: NEW
    * Region ist im Config-Mode auswählbar
    * Entsprechend der Region wird die site.conf geändert (site_name, site_code und ssid)
* Aus Zeiten in denen es nur eine Testing-Firmware fuer die TP-Link 1043v2 gab, existierte noch ein script, welches den Autoupdater angepasst hat. Dieses wurde entfernt, da nicht mehr noetig
* Neue Hardware
    * Target x86-generic
        * Fujitsu Futro S550


## 0.6.4~rc1

* Reduktion der gleichzeitigen Fastd-Verbindungen auf 1

## 0.6.3~rc1

* Basis [v2015.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.2)
    * Bessere Unterstuetzung der x86-Images
    * Bugfix bei der DNS-Aufloesung in IPv6-Only Netzwerken
    * diverse kleinere Bugfixes
* Knotenformular nun auch bei Englischer Sprache verlinkt.

## 0.6.2~rc2

* Basis [v2015.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.1) (Bugfix release)
* ffpb-debug: WLAN-Interfacenamen korrigiert, dmesg eingebaut

## 0.6.2~rc1

* Basis [v2015.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1)
* WLAN-Interfaces per Configmode deaktivierbar
* Mesh-On-Lan per Configmode aktivierbar
* Statische IP-Konfiguration möglich
* kleinere Anpassungen bei ffpb-debug
* ffpb-alfred-watchdog entfernt
* ffpb-packages interne Änderungen (keine neuen Features)

## 0.6.1

* Filterregeln eingeführt um unsinnigen Netzwerkverkehr zu reduzieren
* Gateway 08 in Konfiguration mit aufgenommen
* Update `ffpb-debug` um Firewallconfiguration erweitert

## 0.6.0

* Backport der letzten Fixes aus v0.6.0 (stable)

## 0.6-rc2

* weitere kleine Anpassungen der OpenWRT Migrationsskripte
* `mac80211.sh` [Fix](http://git.openwrt.org/?p=openwrt.git;a=commit;h=b728e2bc10f3af7c63078a937a741aea2611bed6) aus OpenWRT Hauptentwicklungslinie (*Chaos Calmer*)

## 0.6~rc1

* Wechsel der OpenWRT-Basis auf [v14.07](https://lists.openwrt.org/pipermail/openwrt-devel/2014-October/028346.html) (*Barrier Breaker*)
    * basierend auf Commit [678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78](http://git.openwrt.org/?p=14.07/openwrt.git;a=commit;h=678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78)
    * verbesserte Stabilität und Performance des WLAN-Chipssatz Treibers (*ath9k*)
* Gluon-Update auf [v2014.4](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.4)
    * Update: *fastd* v16 (VPN-Tunnel Software)
        * verbesserte *fastd*-Performance im Zusammenspiel mit *Barrier Breaker*
    * Config-Mode
        * Firmware-Update überarbeitet
        * Beschreibung des Mesh-VPNs im Wizard überarbeitet
        * Erweiterte Konfiguration der WAN-Schnittstelle (Experten-Ansicht)
    * breitere Hardware-Unterstützung (vgl. [Firmware-Downloadseite](firmware.paderborn.freifunk.net))
* Freifunk Paderborn Anpassungen & Erweiterungen:
    * Wechsel von HT40 auf HT20-Modus (20MHz-Kanalbandbreite) im 2.4GHz-Band
    * größere Neighbour-Tables (ARP-/NS-Caches) auf Knoten

## 0.6~exp20141005

* Gluon-Update auf [g39fd914](https://github.com/freifunk-gluon/gluon/commit/39fd91445a81638a14cdffe9321e1b1f9742cc20)
    * basiert auf Barrier Breaker Release (+5 Commits)
    * Config-Mode: beim Setzen eines Kennworts werden SSH-Keys nicht mehr gelöscht

## 0.6~exp20140926

* Gluon-Update auf [g74ae415](https://github.com/freifunk-gluon/gluon/commit/74ae415b0f91ca557b91f02735e510a1c9b5fe51)
* ffpb-debug-live Skript auf Barrier Breaker angepasst/aktualisiert

## 0.6.0~exp20140910

* Gluon-Update auf [gbb6d0f1](https://github.com/freifunk-gluon/gluon/commit/bb6d0f1179e74391764a274f2e8581f3fa50b0c6)
    * verbesserte fastd-Performance durch Verbesserungen in OpenWRT Barrier Breaker
    * Config-Mode
        * Firmware-Update überarbeitet
        * Beschreibung des Mesh-VPNs im Wizard überarbeitet
    * Client-Count wird per announced übertragen
    * Layout des FFPB Debugreports verbessert
    * Neue Hardware:
        * TP-Link TL-WR710N v1
        * TP-Link TL-MR3040 v2
        * TP-Link Archer C7 v2 (Tester gesucht)
        * Ubiquiti UniFi AP Pro (Tester gesucht)

## 0.5.1+exp20140814

* Gluon-Update auf [g6d1fa64](https://github.com/freifunk-gluon/gluon/commit/6d1fa648e728141186a756cb3a144387b93aed8f)
    * Update der OpenWRT-Basis auf Barrier Breaker (14.07-rc2)
    * Erweiterung: Konfigurationsmöglichkeit zur statischen Adressierung der WAN-Schnittstelle im Setup-Modus (Expertenansicht)
    * Neue Hardware:
        * TP-Link TL-WA801N(D) v2 (Tester gesucht)
        * TP-Link TL-WDR4900 v1
        * TP-Link TL-WR1043N(D) v2
        * TP-Link TL-WR703N (Tester gesucht)
* MTU auf 1406 reduziert (IPv6-Header war zuvor nicht einberechnet)

## 0.5.1

* Gluon-Update auf [2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3)
    * keine Änderungen zu vorheriger Testing-Release (mit Ausnahme der Gluon-Versionsnr.)

## 0.5+0-exp20140802

* Gluon-Update auf [ga15ad8f](https://github.com/freifunk-gluon/gluon/commit/a15ad8fee4a962c3407d9633da6499e174d2fe2b)
    * Update der OpenWRT-Basis (v12.09, [b0a05d4f](http://git.openwrt.org/?p=12.09/openwrt.git;a=commit;h=b0a05d4f7c194c7db43c3c5f1818449e4ecfe653))
    * weiterer ath9k-WLAN-Patch: "fix aggregation session lockup"
    * neuer Auto-Updater
        * schrittweise Erhöhung der Update-Wahrscheinlichkeit von 0 bis N Tagen nach dem Release
        * Update 5 Min. nach Boot wenn max. Zeit überschritten
        * ansonsten Update zu einem zufälligen Zeitpunkt zwischen 4 und 5 Uhr nachts

## 0.5+0-exp20140720

* Gluon-Update auf [gd376f4d](https://github.com/freifunk-gluon/gluon/commit/d376f4d425872910be9a39142c983a667ee79132)
    * neuer experimenteller [Patch](https://github.com/freifunk-gluon/gluon/blob/d49be7f807be4b5f3c6ffe98df4092ffc82d3e3e/patches/openwrt/0029-ath9k-add-experimental-patch.patch) für das ath9k-WLAN-Problem
    * dnsmasq: config der default packet_mark für DNS-Anfragen (kein DNS-Leakage bei v6-DNS-Resolvern im LAN)
    * zweiter DNS-Server (Port 54, localhost) der vom Router für DNS-Anfragen via WAN benutzt wird ([Details](https://github.com/freifunk-gluon/packages/commit/5af1e58f08a5483b06f604a8b59f8e321bac403d))
    * Einführung einer eindeutige `node_id` anhand derer Nodes z.B. in ALFRED eindeutig identifiziert werden können
    * Info-Seite im Config-Mode (Experten-Version)
* Paderborner Kopie des "mesh-on-wan" Feature entfernt (jetzt in Upstream integriert)
* Paderborner "v6-uplink" Paket entfernt (Upstream hat nun Support eingebaut)

## 0.5+0-exp20140715

* Gluon-Update auf [g79d6ce](https://github.com/freifunk-gluon/gluon/commit/79d6ce2dd6d083dbd917dc638247f0392ebb6237)
    * Update der OpenWRT-Basis
    * busybox: bevorzuge IPv6 vor IPv4
    * strip luci libraries (mehr Platz in der Firmware)
    * fastd: update to v14
    * ath9k-bug: [workaround](https://github.com/freifunk-gluon/packages/tree/79d6ce2dd6d083dbd917dc638247f0392ebb6237/gluon/gluon-ath9k-workaround) (cron script) + [bugreporting support](https://github.com/freifunk-gluon/packages/commit/91b43d0df48d835cb4cdf782d3023022a8c9f0f7)
    * Kennwort- und SSH-Keys kann im Config-Modus wieder geleert werden
    * (offizieller) Support für IPv6 Mesh VPN connections
* eigenen wlan-workaround (ANI) wieder entfernt

## 0.5

* Gluon (Basisfirmware): Update auf Version [2014.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.2)
* neues Gateway: gw04
* neuer Firmware-Signing-Key: THiSCO
* Integration von Paket ffpb-wifi-blackout-workaround
    * deaktiviert "ANI" auf den "stable" Knoten (mehr WLAN Stabilität)
