# Changelog 'testing'

Hier dokumentieren wir die Änderungen an der Testing-Firmware von Freifunk Hochstift.

## 0.7.4~rc1

Änderungen im Vergleich zu [0.7.3](https://firmware.hochstift.freifunk.net/0.7.3/Changelog.html)

* Basis: gluon [v2016.2.x-1e0bc1b](https://github.com/freifunk-gluon/gluon/commit/1e0bc1b4f3da53f629eb124f535ff22119e90cb0)
    * einige Patches entfernt
* ffho-ap-timer: NEW
    * Zeitschaltuhr für das Client-WLAN
* ffho-ath9k-blackout-workaround:
    * Fehler behoben (siehe auch: [PR#2](https://github.com/FreifunkHochstift/ffho-packages/pull/2))
* ffho-autoupdater-wifi-fallback:
    * Probleme mit verstecktem WLAN behoben (siehe auch: [PR#1](https://github.com/FreifunkHochstift/ffho-packages/pull/1))
* gluon-config-mode-contact-info: ersetzt ffho-config-mode-contact-info
* gluon-config-mode-geo-location: ersetzt ffho-config-mode-geo-location
* ffho-debug:
    * ffho-debug überarbeitet
    * ffho-debug-live entfernt
* ffho-luci-remote-syslog: NEW
    * Remote-Syslog-Server einstellbar im Expert-Mode
* ffho-site-auto-select:
    * Fehler in Update-Script behoben
* ffho-status-page:
    * nutzt nun gluon-status-page-api
    * Anzeigen der Gluon-Version
    * IP-Protokoll bei verbundenem Gateway anzeigen
* ffho-txpower-fix: entfernt
* site.conf:
    * Firmware-Pfade aktualisiert
    * Umstellung auf 11s-Mesh im 5GHz
    * mcast_rate korrigiert
    * fastd nutzt nun salsa2012-umac als Verschlüsselung
    * Liste der Gateways aktualisiert
    * vorgeschlagene Werte für die Bandbreitenbegrenzung erhöht
    * Signatur von HeJ entfernt
    * Signatur von phimeas & leeps hinzugefügt
    * agressivere Einstellungen für ffho-ath9k-blackout-workaround
    * Einstellung für ffho-site-auto-select korrigiert
* Hardware:
    * ar71xx-generic
        * ALFA Network
            * Tube2H
            * N2
            * N5
        * Buffalo
            * WZR-HP-G300NH2
        * GL Innovations
            * GL-AR150
        * OpenMesh
            * MR1750 v1, v2
            * OM2P-HS v3
            * OM5P-AC v1, v2
        * TP-Link
            * Archer C5 v1
            * Archer C7 v2
            * TL-WA801ND v3
            * TL-WA901ND v4
            * TL-WR710N v2.1
            * TL-WR842N/ND v3
        * Ubiquiti
            * UniFi AP AC Lite
            * UniFi AP AC Pro
    * brcm2708-bcm2708
        * RaspberryPi 1
    * brcm2708-bcm2709
        * RaspberryPi 2
