# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der Stable-Firmware von Freifunk Hochstift.

## 1.0.3

Änderungen im Vergleich zu [1.0.2](https://firmware.hochstift.freifunk.net/1.0.2/Changelog.html)

* sites.conf:
    * Fehlerhafte Gruppenzuordnung bei Salzkotten behoben

## 1.0.2

Änderungen im Vergleich zu [1.0.1](https://firmware.hochstift.freifunk.net/1.0.1/Changelog.html)

* sites.conf:
    * Falsche Gruppenzuordnung bei Lichtenau behoben

## 1.0.1

Änderungen im Vergleich zu [1.0.0](https://firmware.hochstift.freifunk.net/1.0.0/Changelog.html)

* ffho-ebtables-net-rules:
    * Problem bei fehlendem additional_prefix6 behoben

## 1.0.0

Änderungen im Vergleich zu [0.7.4](https://firmware.hochstift.freifunk.net/0.7.4/Changelog.html)

* Basis: gluon [v2016.2.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.3)
* gluon-alfred: entfernt
* ffho-debug:
    * Es werden nun alle vorhandenen WLAN-Interfaces abgefragt (bessere Unterstützung von dualband Geräten und 802.11s-Mesh)
    * Fehler beim Versenden des Reports behoben
* ffho-luci-ap-timer:
    * Fehler bei leerer Config behoben
* gluon-mesh-batman-adv-15:
    * ersetzt gluon-mesh-batman-adv-14
* ffho-respondd-config: entfernt
* groups.conf: NEW
    * Infos über die Konfigurationen der einzelnen Sites
* sites.conf:
    * Zuweisung von Region -> Site/Gruppe hinzugefügt
* template.conf:
    * Als URL zum OpenWRT-Package-Repository wird nun eine eigene genutzt
    * NTP-Server auf ntp.srv.in.ffho.net geändert
    * Adressen für Site-Split angepasst
    * Von IBSS-Mesh auf 11s-Mesh gewechselt
    * Gateways aktualisiert
* Hardware:
    * ar71xx-generic
        * TP-Link
            * TL-WR940N v4
            * TL-WR1043N/ND v4
        * Cisco Meraki
            * MR12: entfernt
            * MR16: entfernt
            * MR62: entfernt
            * MR66: entfernt
