# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der Stable-Firmware von Freifunk Hochstift.

## 0.7.4

Änderungen im Vergleich zu [0.7.3](https://firmware.hochstift.freifunk.net/0.7.3/Changelog.html)

* Basis: gluon [v2016.2.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.2)
    * einige Patches entfernt
* ffho-ap-timer: NEW
    * Zeitschaltuhr für das Client-WLAN
* ffho-ath9k-blackout-workaround:
    * Fehler behoben (siehe auch: [PR#2](https://github.com/FreifunkHochstift/ffho-packages/pull/2))
* gluon-autoupdater: ersetzt ffho-autoupdater
* ffho-autoupdate-wifi-fallback:
    * Probleme mit verstecktem WLAN behoben (siehe auch: [PR#1](https://github.com/FreifunkHochstift/ffho-packages/pull/1))
    * probiere alle infrage kommenden WLAN-Netze bis der autoupdater fehlerfrei ausgeführt wurde
    * nutzt nun IPv4 und IPv6
* gluon-config-mode-contact-info: ersetzt ffho-config-mode-contact-info
* gluon-config-mode-geo-location: ersetzt ffho-config-mode-geo-location
* ffho-debug:
    * ffho-debug überarbeitet
    * ffho-debug-live entfernt
* ffho-fix-defaultroute: NEW
    * Löscht 'network.client.defaultroute', was durch eine frühere Firmware gesetzt wurde
* ffho-luci-ap-timer: NEW
    * Konfiguration des AP-Timers in den erweiterten Einstellungen
* ffho-luci-remote-syslog: NEW
    * Remote-Syslog-Server einstellbar im Expert-Mode
* ffho-node-tuning: entfernt
* ffho-site-auto-select:
    * Fehler in Update-Script behoben
* ffho-site-generate:
    * Auf neues Konzept für die Konfig-Generierung umgeschrieben
* ffho-status-page:
    * nutzt nun gluon-status-page-api
    * Anzeigen der Gluon-Version
    * IP-Protokoll bei verbundenem Gateway anzeigen
    * zeigt nun eine Liste aller Mesh-Interfaces
* ffho-txpower-fix: entfernt
* template.conf: erstetzt site.conf
    * Firmware-Pfade aktualisiert
    * Umstellung auf 11s-Mesh im 5GHz
    * mcast_rate korrigiert
    * fastd nutzt nun salsa2012-umac als Verschlüsselung
    * Liste der Gateways aktualisiert
    * vorgeschlagene Werte für die Bandbreitenbegrenzung erhöht
    * Signatur von HeJ entfernt
    * Signatur von phimeas & leeps hinzugefügt
    * agressivere Einstellungen für ffho-ath9k-blackout-workaround
    * Einstellung für ffho-site-auto-select korrigiert
* Hardware:
    * ar71xx-generic
        * ALFA Network
            * Tube2H
            * N2
            * N5
        * Buffalo
            * WZR-HP-G300NH2
        * GL Innovations
            * GL-AR150
        * OpenMesh
            * MR1750 v1, v2
            * OM2P-HS v3
            * OM5P-AC v1, v2
        * TP-Link
            * Archer C5 v1
            * Archer C7 v2
            * TL-WA801ND v3
            * TL-WA901ND v4
            * TL-WR710N v2.1
            * TL-WR842N/ND v3
        * Ubiquiti
            * UniFi AP AC Lite
            * UniFi AP AC Pro
    * brcm2708-bcm2708
        * RaspberryPi 1
    * brcm2708-bcm2709
        * RaspberryPi 2

Änderungen im Vergleich zu [0.7.4~rc2](https://firmware.hochstift.freifunk.net/0.7.4~rc2/Changelog.html)

* ffho-status-page:
    * Anzeigefehler bei den Mesh-Interfaces behoben
